using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace asodjno
{
    class Program
    {
        static void Main(string[] args)
        {
            List<int> a = new List<int>();
            List<int> b = new List<int>();
            int n = Convert.ToInt32(Console.ReadLine());
            int q = Convert.ToInt32(Console.ReadLine());

            for (int i = 0; i < n; i++)
            {
                int x = Convert.ToInt32(Console.ReadLine());
                a.Add(x);
            }
            for (int i = 0; i < q; i++)
            {
                int x = Convert.ToInt32(Console.ReadLine());
                b.Add(x);
            }
            int medijana = 0;
            if (q % 2 == 0)
            {
                int poz = q / 2;
                medijana = (b[poz] + b[poz - 1]) / 2;
            }
            else
            {
                int poz = q / 2;
                medijana = b[poz];
            }

            for(int i=0; i<q; i++)
            {
                if (medijana == b[i]) Console.WriteLine("0");
            }

            Console.ReadKey();
        }
    }
}